Beta

Delete a Workspace field

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
DELETE
/v1/workspace-fields/{field_id}

Delete a Workspace field and all its values from every List. Can't be undone.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

field_id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

expected_version?integer
Range0 < value <= 9007199254740991

Header Parameters

Idempotency-Key*string
Length8 <= length <= 200
SMB-Workspace-Id*string
Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
action_receipt*
idempotent_replay*smb_v0_operations_create_list_request.__local.properties.body.__schema16
curl -X DELETE 'https://example.com/v1/workspace-fields/string' \  -H 'Idempotency-Key: stringst' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "data": {    "field_id": "string",    "deleted": true  },  "request_id": "string",  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "delete_workspace_field",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true}